Bug 9957 - Не показывает результат ([DONE]|[PASSED]|[FAILED]) для VPS при service vz stop
: Не показывает результат ([DONE]|[PASSED]|[FAILED]) для VPS при service vz stop
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/vzctl)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-09-04 18:11 by
Modified: 2014-08-16 07:12 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-09-04 18:11:16
Не показывает результат для VPS при service vz stop
# service vz stop
Shutting down VPS 113
Shutting down VPS 110
Shutting down VPS 105
Shutting down VPS 103
Shutting down interface venet0:   [ DONE ]                                     
                                         
Steps to Reproduce:
1.service vz stop
2.
3.
------- Comment #1 From 2006-09-04 18:19:49 -------
Дело в том, что VPSы выключаются параллельно (кажется по 4 сразу, это
настраивается), и не совсем понятно, как это уложить в традиционную схему.
То же самое происходит с fsck, который запускается в rc.sysinit.
------- Comment #2 From 2006-09-04 18:41:10 -------
(In reply to comment #1)
> Дело в том, что VPSы выключаются параллельно (кажется по 4 сразу, это
> настраивается), и не совсем понятно, как это уложить в традиционную схему.
> То же самое происходит с fsck, который запускается в rc.sysinit.
Ну так пусть и пишут одновременно. "Кто раньше встал - того и тапки" :-)
Или это в принципе не возможно?

Просто как-то не красиво...
------- Comment #3 From 2007-02-21 14:31:36 -------
Если процессы, запущенные в фоне, будут выводить диагностику асинхронно, то на
экране будет каша.
------- Comment #4 From 2009-01-10 15:09:20 -------
IMHO WONTFIX NOTABUG
------- Comment #5 From 2014-08-16 07:12:25 -------
Патчи приветствуются